---
title: SVGAElement
slug: Web/API/SVGAElement
tags:
  - API
  - Reference
  - SVG
  - SVGAElement
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGAElement</code></strong> interface provides access to the properties of {{SVGElement("a")}} element, as well as methods to manipulate them.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent, {{domxref("SVGGraphicsElement")}}, and implements properties from {{domxref("SVGURIReference")}} and {{domxref("HTMLHyperlinkElementUtils")}}.</em></p>

<dl>
 <dt>{{domxref("SVGAElement.download")}}</dt>
 <dd>See {{domxref("HTMLAnchorElement.download")}}.</dd>
 <dt>{{domxref("SVGAElement.href")}}</dt>
 <dd>See {{domxref("HTMLAnchorElement.href")}}.</dd>
 <dt>{{domxref("SVGAElement.hreflang")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the <code>hreflang</code> attribute, indicating the language of the linked resource.</dd>
 <dt>{{domxref("SVGAElement.ping")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the ping attribute, containing a space-separated list of URLs to which, when the hyperlink is followed, {{HTTPMethod("POST")}} requests with the body <code>PING</code> will be sent by the browser (in the background). Typically used for tracking.</dd>
 <dt>{{domxref("SVGAElement.referrerPolicy")}}</dt>
 <dd>See {{domxref("HTMLAnchorElement.referrerPolicy")}}.</dd>
 <dt>{{domxref("SVGAElement.rel")}}</dt>
 <dd>See {{domxref("HTMLAnchorElement.rel")}}.</dd>
 <dt>{{domxref("SVGAElement.relList")}}</dt>
 <dd>See {{domxref("HTMLAnchorElement.relList")}}.</dd>
 <dt>{{domxref("SVGAElement.target")}} {{readonlyInline}}</dt>
 <dd>It corresponds to the {{SVGAttr("target")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGAElement.text")}}</dt>
 <dd>Is a {{domxref("DOMString")}} being a synonym for the {{domxref("Node.textContent")}} property.</dd>
 <dt>{{domxref("SVGAElement.type")}}</dt>
 <dd>Is a {{domxref("DOMString")}} that reflects the <code>type</code> attribute, indicating the MIME type of the linked resource.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods but inherits methods from its parent, {{domxref("SVGGraphicsElement")}}.</em></p>

<h2 id="Example">Example</h2>

<p>In the example below, the {{SVGAttr("target")}} attribute of the {{SVGElement("a")}} element is set to <code>_blank</code> and when the link is clicked, it logs to notify whether the condition is met or not.</p>

<pre class="brush: js">var linkRef = document.querySelector("a");
linkRef.target = "_self";

linkRef.onclick = function(){
  if (linkRef.target === "_blank") {
    console.log("BLANK!");
    linkRef.target = "_self";
  } else {
    console.log("SORRY! not _blank");
  }
} </pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "linking.html#InterfaceSVGAElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Replaced inheritance from {{domxref("SVGElement")}} by {{domxref("SVGGraphicsElement")}} and removed the interface implementations of {{domxref("SVGTests")}}, {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGTransformable")}} by {{domxref("HTMLHyperlinkElementUtils")}}</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#InterfaceSVGAElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGAElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>SVG {{SVGElement("a")}} element</li>
</ul>
